%define pidgin_install %{_libdir}/pidgin

Name:           pidgin-knotify
Version:        0.1
Release:        5%{?dist}
Summary:        KNotify plugin for Pidgin

Group:          Applications/Internet
License:        LGPLv2
URL:            http://www.codeincarnate.com/
Source0:        http://www.codeincarnate.com/knotify-plugin_0.1.tar.gz
Patch0:		pidgin-knotify-make.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs >= 3.0.0, pidgin-devel, glib-devel, pkgconfig
Requires:       pidgin


%description
Pidgin-KNotify is a plugin for Pidgin that uses KNotify to do notifications.
This is for those who prefer to use Pidgin on KDE and wish for Pidgin to be
more integrated with KDE.


%prep
%setup -q -c
%patch0 -p1 -b .orig


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PIDGINDIR=%{pidgin_install}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{pidgin_install}/*.so


%changelog
* Tue Aug 7 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.1-5
- Adjusted the patch to add the default RPM optflags to the compiler output.

* Mon Aug 6 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.1-4
- Changed the hard-coded /usr/lib to use the libdir macro instead.

* Sun Aug 5 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.1-3
- Added a fix for x86_64 to the Makefile patch.
- Adjusted the description to be a little more friendly.
- Changed the license name as per new Fedora regulations.

* Mon Jul 23 2007 Kellyy Miller <lightsolphoenix@gmail.com> 0.1-2
- Added pkgconfig as a dependency

* Mon Jul 23 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.1-1
- Initial RPM release